Package com.google.gwt.resources.gss

## Class CollectAndRemoveConstantDefinitions

- java.lang.Object
- - com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor
  - - com.google.gwt.thirdparty.common.css.compiler.passes.CollectConstantDefinitions
    - - com.google.gwt.resources.gss.CollectAndRemoveConstantDefinitions

- All Implemented Interfaces:
    `com.google.gwt.thirdparty.common.css.compiler.ast.AtRuleHandler`, `com.google.gwt.thirdparty.common.css.compiler.ast.CssCompilerPass`, `com.google.gwt.thirdparty.common.css.compiler.ast.CssTreeVisitor`

      public class CollectAndRemoveConstantDefinitions
      extends com.google.gwt.thirdparty.common.css.compiler.passes.CollectConstantDefinitions
      implements com.google.gwt.thirdparty.common.css.compiler.ast.CssCompilerPass

  A pass that collects the constant definitions inside the tree. This pass removes the constant definitions during the collect.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CollectAndRemoveConstantDefinitions​(com.google.gwt.thirdparty.common.css.compiler.ast.CssTree tree)` |
    `CollectAndRemoveConstantDefinitions​(com.google.gwt.thirdparty.common.css.compiler.ast.MutatingVisitController visitController)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `enterDefinition​(com.google.gwt.thirdparty.common.css.compiler.ast.CssDefinitionNode node)` |

    - ### Methods inherited from class com.google.gwt.thirdparty.common.css.compiler.passes.CollectConstantDefinitions

      `getConstantDefinitions, runPass`

    - ### Methods inherited from class com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor

      `enterArgumentNode, enterAttributeSelector, enterBlock, enterClassSelector, enterCombinator, enterComponent, enterCompositeValueNode, enterCompositeValueNodeOperator, enterConditionalBlock, enterConditionalRule, enterDeclaration, enterDeclarationBlock, enterFontFace, enterForLoop, enterFunctionNode, enterIdSelector, enterImportBlock, enterImportRule, enterKey, enterKeyBlock, enterKeyframeRuleset, enterKeyframesRule, enterMediaRule, enterMediaTypeListDelimiter, enterMixin, enterMixinDefinition, enterPageRule, enterPageSelector, enterPropertyValue, enterProvideNode, enterPseudoClass, enterPseudoElement, enterRequireNode, enterRuleset, enterSelector, enterSelectorBlock, enterTree, enterUnknownAtRule, enterValueNode, leaveArgumentNode, leaveAttributeSelector, leaveBlock, leaveClassSelector, leaveCombinator, leaveComponent, leaveCompositeValueNode, leaveCompositeValueNodeOperator, leaveConditionalBlock, leaveConditionalRule, leaveDeclaration, leaveDeclarationBlock, leaveDefinition, leaveFontFace, leaveForLoop, leaveFunctionNode, leaveIdSelector, leaveImportBlock, leaveImportRule, leaveKey, leaveKeyBlock, leaveKeyframeRuleset, leaveKeyframesRule, leaveMediaRule, leaveMediaTypeListDelimiter, leaveMixin, leaveMixinDefinition, leavePageRule, leavePageSelector, leavePropertyValue, leaveProvideNode, leavePseudoClass, leavePseudoElement, leaveRequireNode, leaveRuleset, leaveSelector, leaveSelectorBlock, leaveTree, leaveUnknownAtRule, leaveValueNode, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.thirdparty.common.css.compiler.ast.CssCompilerPass

      `runPass`

- - ### Constructor Detail

    - #### CollectAndRemoveConstantDefinitions

          public CollectAndRemoveConstantDefinitions​(com.google.gwt.thirdparty.common.css.compiler.ast.CssTree tree)

    - #### CollectAndRemoveConstantDefinitions

          public CollectAndRemoveConstantDefinitions​(com.google.gwt.thirdparty.common.css.compiler.ast.MutatingVisitController visitController)

  - ### Method Detail

    - #### enterDefinition

          public boolean enterDefinition​(com.google.gwt.thirdparty.common.css.compiler.ast.CssDefinitionNode node)

      Specified by:
        `enterDefinition` in interface `com.google.gwt.thirdparty.common.css.compiler.ast.AtRuleHandler`
      Overrides:
        `enterDefinition` in class `com.google.gwt.thirdparty.common.css.compiler.passes.CollectConstantDefinitions`